if (["Mineure", "Modérée", "Majeure"].includes(this.item.system.specification.value))
{
	return
}

let choice = await ItemDialog.create(ItemDialog.objectToArray({minor : "Mineure", moderate : "Modérée", major : "Majeure"}, this.item.img), 1, "Choisissez la sévérite de la corruption");

this.item.updateSource({"system.specification.value" : choice[0]?.name || ""})